org.apache.cayenne.dba.oracle

## Class OracleMergerFactory

- java.lang.Object
- - org.apache.cayenne.merge.MergerFactory
  - - org.apache.cayenne.dba.oracle.OracleMergerFactory

-     public class OracleMergerFactory
      extends MergerFactory

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleMergerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MergerToken` | `createAddColumnToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetAllowNullToDb(DbEntity entity, DbAttribute column)`
    `MergerToken` | `createSetColumnTypeToDb(DbEntity entity, DbAttribute columnOriginal, DbAttribute columnNew)`
    `MergerToken` | `createSetNotNullToDb(DbEntity entity, DbAttribute column)`

    - ### Methods inherited from class org.apache.cayenne.merge.MergerFactory

      `createAddColumnToModel, createAddRelationshipToDb, createAddRelationshipToModel, createCreateTableToDb, createCreateTableToModel, createDropColumnToDb, createDropColumnToModel, createDropRelationshipToDb, createDropRelationshipToModel, createDropTableToDb, createDropTableToModel, createSetAllowNullToModel, createSetColumnTypeToModel, createSetNotNullToModel, createSetPrimaryKeyToDb, createSetPrimaryKeyToModel, createSetValueForNullToDb`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OracleMergerFactory

          public OracleMergerFactory()

  - ### Method Detail

    - #### createAddColumnToDb

          public MergerToken createAddColumnToDb(DbEntity entity,
                                                 DbAttribute column)

      Overrides:
        `createAddColumnToDb` in class `MergerFactory`

    - #### createSetColumnTypeToDb

          public MergerToken createSetColumnTypeToDb(DbEntity entity,
                                                     DbAttribute columnOriginal,
                                                     DbAttribute columnNew)

      Overrides:
        `createSetColumnTypeToDb` in class `MergerFactory`

    - #### createSetAllowNullToDb

          public MergerToken createSetAllowNullToDb(DbEntity entity,
                                                    DbAttribute column)

      Overrides:
        `createSetAllowNullToDb` in class `MergerFactory`

    - #### createSetNotNullToDb

          public MergerToken createSetNotNullToDb(DbEntity entity,
                                                  DbAttribute column)

      Overrides:
        `createSetNotNullToDb` in class `MergerFactory`

Copyright © 2001–2018 Apache Cayenne. All rights reserved.